#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define oname tomahawk
%define rel 5

Summary:        A social media player
Name:           tomahawk-player
Version:        0.5.5
Release:        %mkrel  %rel
Source0:        http://downloads.tomahawk-player.org/%{oname}-%{version}.tar.bz2
License:        GPLv3
Group:          Sound/Players
URL:            http://tomahawk-player.org/
BuildRequires:  qt4-devel >= 4:4.7.0
BuildRequires:  pkgconfig(QJson) >= 0.7.1
BuildRequires:  pkgconfig(sqlite3) >= 3.6.22
BuildRequires:  pkgconfig(libclucene-core) >= 0.9.23
BuildRequires:  pkgconfig(libechonest)
BuildRequires:  pkgconfig(taglib) >= 1.6.2
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(libattica)
BuildRequires:  pkgconfig(libjreen)
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  qtweetlib-devel >= 0.5
BuildRequires:	liblastfm-devel >= 1.0.0
BuildRequires:  quazip-devel
BuildRequires:  boost-devel >= 1.30
BuildRequires:  cmake >= 2.8.0

%description
Tomahawk is a social media player.

%files 
%_bindir/%oname
%_libdir/libtomahawk*.so
%_datadir/applications/%oname.desktop
%_iconsdir/hicolor/*/apps/%oname.*

#---------------------------------------------------------------------

%prep
%setup -q -n %oname-%{version} 

%build
%cmake -DWITH_CRASHREPORTER=OFF
%make

%install
%makeinstall_std -C build


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.5.5-5.mga3
+ Revision: 384643
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.5.5-4.mga3
+ Revision: 324386
- update RPM group

* Sat Aug 18 2012 neoclust <neoclust> 0.5.5-3.mga3
+ Revision: 281908
- Rebuild against new attica

* Fri Aug 17 2012 neoclust <neoclust> 0.5.5-2.mga3
+ Revision: 281821
- Rebuild against new attica

* Thu Aug 02 2012 fwang <fwang> 0.5.5-1.mga3
+ Revision: 277856
- disable crash reporter
- update file list
- bump qtweetlib req
- versioned requires
- br lastfm
- new version 0.5.5
- rebuild for new attica

* Tue Dec 27 2011 mikala <mikala> 0.3.3-2.mga2
+ Revision: 188024
- Rebuild for attica

* Tue Dec 20 2011 mikala <mikala> 0.3.3-1.mga2
+ Revision: 184643
- Add quazip-devel as BuildRequires
- Update tarball to 0.3.3
- Fix BuildRequires to pull QtWebKit (will be needed for qtwebkit2.2)

* Fri Nov 25 2011 mikala <mikala> 0.3.2-2.mga2
+ Revision: 171946
- Add qtweetlib-devel as BR

* Fri Nov 25 2011 mikala <mikala> 0.3.2-1.mga2
+ Revision: 171920
- Update tarball to 0.3.2
- Add pkconfig(attica) as BR, pkconfig(jreen) is not a build option now
- don't build the crash resolver for now

* Thu Sep 29 2011 mikala <mikala> 0.2.3-1.mga2
+ Revision: 150312
- Add description
- Fix summary
- Update tarball to 0.2.3
- Remove %%clean section & %%defattr
- Fix file list
- imported package tomahawk-player

  + dmorgan <dmorgan>
    - Fix file list and %%setup

